package com.cf.imes.module.system.validation.notify;

import cn.hutool.core.util.ObjectUtil;
import com.cf.imes.module.system.enums.notify.NotifyTemplateTypeEnum;

import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * 通知模板类型校验器
 *
 * @author Gqr
 * @since 2024/10/15 13:47
 */
public class NofityTemplateTypeValidator implements ConstraintValidator<NotifyTemplateTypeValid, Integer> {
    @Override
    public boolean isValid(Integer value, ConstraintValidatorContext context) {
        if (ObjectUtil.isNull(value)) {
            return true;
        }
        for (NotifyTemplateTypeEnum typeEnum : NotifyTemplateTypeEnum.values()) {
            if (ObjectUtil.equal(typeEnum.getType(), value)) {
                return true;
            }
        }
        return false;
    }
}
